<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Components intro</title>
</head>
<body>

<main>
    <!--<ul>-->
    <!--<li v-for="task in listTask" v-text="task.title"></li>-->
    <!--</ul>-->
    <h3>Independent component</h3>
    <component-independent></component-independent>
    <hr>

    <h3>Task Local</h3>
    <my-task-component :task="listTaskLocal"></my-task-component>
    <hr>
    <h3>Task Api</h3>
    <my-task-component :task="listTaskApi"></my-task-component>

</main>

<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
<script src="https://unpkg.com/axios/dist/axios.min.js"></script>

<script>

    Vue.component('my-task-component', {
        props: ['task'],
        template: `<ul><li v-for="task in task">{{ task.title }}</li></ul>`,
    });

    Vue.component('component-independent', {
        template: `<ul><li v-for="task in task">{{ task.title }}</li></ul>`,
        mounted() {
            axios.get('https://jsonplaceholder.typicode.com/todos')
                .then((response) => {
                    this.task = response.data;
                }).catch((error) => console.log(error))
        },
        data() {
            return {
                task: []
            }
        }
    });

    new Vue({
        el: 'main',
        mounted() {
            this.loadTask();
        },
        data: {
            listTaskApi: [],
            listTaskLocal: [
                {"userId": 1, "id": 1, "title": "delectus aut autem", "completed": false},
                {"userId": 1, "id": 2, "title": "quis ut nam facilis et officia qui", "completed": false},
                {"userId": 1, "id": 3, "title": "fugiat veniam minus", "completed": false},
                {"userId": 1, "id": 4, "title": "et porro tempora", "completed": true},
                {
                    "userId": 1,
                    "id": 5,
                    "title": "laboriosam mollitia et enim quasi adipisci quia provident illum",
                    "completed": false
                }
            ]
        },
        methods: {
            loadTask() {
                axios.get('https://jsonplaceholder.typicode.com/todos')
                    .then((response) => {
                        this.listTaskApi = response.data;
                    }).catch((error) => console.log(error))
            }
        }
    })
</script>

</body>
</html>